Bug 159988 - Only bugs related to selected Product should be available
Only bugs related to selected Product should be available
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Bugzilla
6.x
All Mac OS X
: P4 (vote)
: 6.x
Assigned To: Tomas Stupka
issues@connecteddeveloper
PLAN
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 11:57 UTC by Jaromir Uhrik
Modified: 2010-03-03 22:12 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2009-03-10 11:57:42 UTC
Product Version: NetBeans IDE Dev (Build cdev-340-on-090310)
Java: 1.5.0_16; Java HotSpot(TM) Client VM 1.5.0_16-133
System: Mac OS X version 10.5.6 running on i386; MacRoman; en_US (nb)

Description of the scenario:
-user is in Kenai dashboard and clicks on "Find Issue..." related to his Product XYZ
-imagine that the product XYZ has only 3 bugs (#123, #124, #125)
-the user can type issue number (e.g. "1") into the Issue ID textfield of the Find Issue page
-when pushes 'Go To Issue' button the details of bug #1 are displayed
-->> Although the issue #1 belongs to different Product that the current one the issue is displayed. Only issues from
the context of current product should be reachable. There is a question whether this should be handled on the side of
server (I don't know whether it is possible to set up bugzilla somehow for this purpose) or should there be some hack on
the side of IDE?
Comment 1 Tomas Stupka 2009-06-11 14:15:42 UTC
reassigning to xdesign

ondra, do you think in makes sense to block issues which don't belong to the actual project

alternative solution would be to show only a warning that the requested issue does not belong to the project
Comment 2 Tomas Pavek 2009-06-24 10:03:49 UTC
It is generally unavoidable, you can access issues from other projects, if not in the IDE then in the browser, given the
way how Bugzilla on Kenai is done (mixed numbering across all projects). So I think the IDE should not try to block
issues from other projects. It's important the query page offers the right 'product', but otherwise if the user types in
an issue ID that exists, then why not to show it. I don't think it does any harm, it definitely does not prevent the
user to do anything the right way.

I suggest won't fix.
Comment 3 Ondrej Langr 2009-06-26 15:42:46 UTC
I tend to agree with the reporter, if user accesses the dialog from a Kenai project and the "issue tracker" clearly
describes current project as context, only issues belonging to that project should be allowed to access. 

But I can think of a one (not too likely use-case) when this would do some harm - when user mistypes the issue number,
he will end up in (and possibly editing if hot-headed) a wrong issue. In this case, he should probably be warned ... or
given a message that there is such issue on given project.

But in fact, the priority is IMO very low ... in most situations this really does no harm. Agree on wontfix if not
simplefix. 
Comment 4 Ondrej Langr 2009-06-26 15:58:20 UTC
Tomas, please let me know how difficult you think this would be. I'll either close as wontfix or suggest a particular
UI. Thanks. 
Comment 5 Tomas Stupka 2009-07-27 13:30:59 UTC
don't think the fix (warning or error msg) would be a big deal. It's only that we won't know to which project the issue
belongs until we load it's data from the repository and speaking for myself - i tend more to the point tpavek made in
his last post - "why not to show it" if we already have the issue on the client. Maybe a warning would be better then
simply blocking the user and forcing him to open find issues for the right project and invoking goto issue again.
Something like "Hey! issue XXX doesn't belong to project YYY. Do you want to open it anyway? [ ] don't show this warning
again."
Comment 6 Ondrej Langr 2009-07-27 16:08:22 UTC
I agree with the warning .. dialog box should do .. 
Comment 7 Tomas Stupka 2010-02-26 03:48:00 UTC
fixed
http://hg.netbeans.org/cdev/rev/e6dcc2a32957
Comment 8 Quality Engineering 2010-03-03 22:12:42 UTC
Integrated into 'main-golden', will be available in build *201003040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e6dcc2a32957
User: Tomas Stupka <tstupka@netbeans.org>
Log: noi18n
Issue #159988 - Only bugs related to selected Product should be available


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo